<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Theme Palace
 * @subpackage Travel Insight Pro
 * @since Travel Insight Pro 1.0
 */

get_header(); 
if ( true === apply_filters( 'travel_insight_pro_filter_frontpage_content_enable', true ) ) : 
?>
<div class="wrapper page-section no-padding-bottom">
	<div id="primary" class="content-area">
		<main id="main" class="site-main" role="main">

			<?php
			while ( have_posts() ) : the_post();

				get_template_part( 'template-parts/content', 'page' );

				/**
				* Hook travel_insight_pro_action_post_pagination
				*  
				* @hooked travel_insight_pro_post_pagination 
				*/
				do_action( 'travel_insight_pro_action_post_pagination' );

				// If comments are open or we have at least one comment, load up the comment template.
				if ( comments_open() || get_comments_number() ) :
					comments_template();
				endif;

			endwhile; // End of the loop.
			?>

		</main><!-- #main -->
	</div><!-- #primary -->
	<?php
	if ( travel_insight_pro_is_sidebar_enable() ) {
		get_sidebar();
	}
endif; ?>
</div>
<?php
get_footer();
